// Tide Protocol - Infrastructure for the Personal Data economy
// Copyright (C) 2019 Tide Foundation Ltd
// 
// This program is free software and is subject to the terms of 
// the Tide Community Open Source License as published by the 
// Tide Foundation Limited. You may modify it and redistribute 
// it in accordance with and subject to the terms of that License.
// This program is distributed WITHOUT WARRANTY of any kind, 
// including without any implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE.
// See the Tide Community Open Source License for more details.
// You should have received a copy of the Tide Community Open 
// Source License along with this program.
// If not, see https://tide.org/licenses_tcosl-1-0-en
process.env['NODE_TLS_REJECT_UNAUTHORIZED'] = 0
import TSignFlow from './src/tsignFlow.js';

var user = 'jose';
var message = 'Wujuuu!!! this is my text😀😁😂🤣😃😄😅😆😉😊😋😎😍😘';
var urls = ['http://127.0.0.1:5001', 'http://127.0.0.1:5002', 'http://127.0.0.1:5003'];

var flow = new TSignFlow(urls, user);
flow.sign(message).then((sign) => {
    console.log(getlink(message, sign.address, sign.signature));

}).catch(err => {
    console.log(err.response.text);
    console.log(err);
});

function getlink(message, address, signature) {
    return `https://brainwalletx.github.io/#verify?vrAddr=${address}&vrMsg=${encodeURI(message)}&vrSig=${encodeURI(signature)}`;
}